
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>用console.log分析Vue源码 / 憋错料</title>

    <meta name="description" content="用console.log分析Vue源码 前言 本文通过console.log的一些特性,结合vue.js的源码,通过一个简单的例子,让你了解Vue的各个过程的变化. 控制台输出的效果图 请用chrome查看,并打开控制台看效果 演示地址 准备 vue-console.html的创建 下载vue.js文件,在vue-console.html中引入,我写了一个简单的例子,涵盖:初始化视图-&gt;点击后更新视图(包括各个钩子函数) 代码如下: &lt;script src=&quot;./vue.js&quot;&gt;&lt;/scri ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">用console.log分析Vue源码</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h2>前言</h2>
<p>本文通过<code>console.log</code>的一些特性,结合<code>vue.js</code>的源码,通过一个简单的例子,让你了解<code>Vue</code>的各个过程的变化.</p>
<p><strong>控制台输出的效果图</strong></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3VzZXItZ29sZC1jZG4ueGl0dS5pby8yMDE4LzEyLzE2LzE2N2I2ZjIzMzNmZGViN2E/dz0xMTE3JmFtcDtoPTQ1NiZhbXA7Zj1wbmcmYW1wO3M9MjY0Mzgx.jpg"></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3VzZXItZ29sZC1jZG4ueGl0dS5pby8yMDE4LzEyLzE2LzE2N2I2ZjI3ZDU4M2YxMWE/dz0yNzcyJmFtcDtoPTI0MCZhbXA7Zj1wbmcmYW1wO3M9ODA0MjU=.jpg"></p>
<blockquote><p>请用chrome查看,并打开控制台看效果</p>
<p><a href="http://www.vue-console.xyz/" rel="external nofollow noreferrer">演示地址</a></p></blockquote>
<h2>准备</h2>
<h3><code>vue-console.html</code>的创建</h3>
<p>下载<code>vue.js</code>文件,在<code>vue-console.html</code>中引入,我写了一个简单的例子,涵盖:初始化视图-&gt;点击后更新视图(包括各个钩子函数)</p>
<p>代码如下:</p>
<pre><code>  &lt;script src="./vue.js"&gt;&lt;/script&gt;
  &lt;div id="app"&gt;
    &lt;div id="hi" @click="changeName"&gt;{{name}}&lt;/div&gt;
  &lt;/div&gt;
  &lt;/div&gt;
    &lt;script&gt;
    var style = ‘font-size: 20px;color: blue‘
    var vm = new Vue({
      el:‘#app‘,
      data() {
        return {
          name: ‘点我‘,
        }
      },
      beforeCreate () {
        console.log(‘%cI am beforeCreate------ 我在选项里写的‘, style)
      },
      created () {
        console.log(‘%cI am created------ 我在选项里写的‘, style)
      },
      beforeMount () {
        console.log(‘%cI am beforeMount------ 我在选项里写的‘, style)
      },
      mounted () {
        console.log(‘%cI am mounted------ 我在选项里写的‘, style)
      },
      beforeUpdate () {
        console.log(‘%cI am beforeUpdate------ 我在选项里写的‘,style)
      },
      updated () {
        console.log(‘%cI am updated------ 我在选项里写的‘, style)
      },
      methods: {
        changeName () {   // 点击是文本发生变化
          this.name = ‘jike‘
        }
      }
    })
  &lt;/script&gt;</code></pre>
<h3>console.log样式的配置</h3>
<pre><code>
var tagLeftStyle = [
  ‘color: #fff‘,
  ‘border-top-left-radius:3px‘,
  ‘border-bottom-left-radius:3px‘,
  ‘background-color: #564b4f‘,
  ‘padding: 5px‘
].join(‘;‘)

var tagRightStyle = function (color) {
  color = color?color:‘#0BCF1B‘
  return [
    ‘color: #fff‘,
    ‘border-top-right-radius:3px‘,
    ‘border-bottom-right-radius:3px‘,
    `background-color: ${color}`,
    ‘padding: 5px‘
  ].join(‘;‘)
}
// ...
// 一些样式省略,具体可以去看源码
var tagVariable = function (obj, tag, desc, num, detail, color) {
  console.log(`%c${lineNo} %o%c&lt;---%c${tag}%c${desc}  %c源码${num}行 %c说明: %o`, noStyle, obj, arrowStyle ,tagLeftStyle, tagRightStyle(color), sourceNoStyle, detailStyle, detail)
  lineNo++
}
// %c代表后面的文本,使用css样式,%o代表对象输出</code></pre>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3VzZXItZ29sZC1jZG4ueGl0dS5pby8yMDE4LzEyLzE2LzE2N2I2ZjY5MDE3NTA2NWE/dz0yMjE0JmFtcDtoPTYyJmFtcDtmPXBuZyZhbXA7cz00ODQzNg==.jpg"></p>
<p>上面的代码只要调用<code>tagVariable(...)</code>传递参数,就实现上图的标签效果,</p>
<p>还可以<code>console.log</code>显示图片,加了一下讲解图方便理解;</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3VzZXItZ29sZC1jZG4ueGl0dS5pby8yMDE4LzEyLzE2LzE2N2I3Mzc4ODIyOGMwYWI/dz0xMzE0JmFtcDtoPTEwNTYmYW1wO2Y9cG5nJmFtcDtzPTU2NDA2Nw==.jpg"></p>
<p>通过调用上面封装的函数在<code>vue.js</code>某些时刻调用,就达到很好的效果</p>
<h2>项目过程</h2>
<p>我将整个过程分为四个阶段: <code>构造函数阶段</code>、<code>初始化阶段</code>、<code>挂载阶段</code> 、<code>更新阶段</code>,</p>
<p>会以上面提到的例子贯穿的</p>
<h3>构造函数阶段</h3>
<p>平常我们使用<code>Vue</code>,都是用<code>new Vue({})</code>,其实就是调用它的构造函数创建实例,如下图</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3VzZXItZ29sZC1jZG4ueGl0dS5pby8yMDE4LzEyLzE2LzE2N2I2ZjkwYzUyZjNlMWQ/dz0yNjA4JmFtcDtoPTcxNCZhbXA7Zj1wbmcmYW1wO3M9NTQ5MDg0.jpg"></p>
<h3>初始化阶段</h3>
<p>会对我们传入<code>data</code>、<code>methods</code>等处理,便于后面阶段的调用及一些功能的实现</p>
<p>如例子的<code>data</code>的<code>name</code>会被代理到<code>vm</code>实例上,所以我们可以用<code>this.name</code>调用</p>
<pre><code>data() {
  return {
    name: ‘点我‘,
  }
}</code></pre>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3VzZXItZ29sZC1jZG4ueGl0dS5pby8yMDE4LzEyLzE2LzE2N2I2ZjlhMmE2YWM5MTY/dz0yNTUwJmFtcDtoPTEzNDQmYW1wO2Y9cG5nJmFtcDtzPTk3NTIzMw==.jpg"></p>
<h3>挂载阶段</h3>
<pre><code>&lt;div id="app"&gt;
  &lt;div id="hi" @click="changeName"&gt;{{name}}&lt;/div&gt;
&lt;/div&gt;</code></pre>
<p>会将上面的<code>html</code>渲染成视图(这里面包括渲染函数,虚拟dom的实现等)</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3VzZXItZ29sZC1jZG4ueGl0dS5pby8yMDE4LzEyLzE2LzE2N2I2ZmFhNzljNGE0NzM/dz0yNTg0JmFtcDtoPTEyNzgmYW1wO2Y9cG5nJmFtcDtzPTk2Mjk3Nw==.jpg"></p>
<h3>更新阶段</h3>
<p>点击页面上的文本时发生更新,这个过程包括:<code>wathcer</code>的触发、<code>patch</code>算法对比新旧<code>vnode</code>,更新<code>dom</code></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3VzZXItZ29sZC1jZG4ueGl0dS5pby8yMDE4LzEyLzE2LzE2N2I2ZmI4MjI1YjFiMGY/dz0yNjA2JmFtcDtoPTEyMTQmYW1wO2Y9cG5nJmFtcDtzPTg0MTE4Nw==.jpg"></p>
<h2>说明</h2>
<p>具体的可以去看源码,在<a href="https://github.com/liuyangjike/vue-console" rel="external nofollow noreferrer">github</a>上,觉得可以的话帮忙star一下</p>
<p>参考文章: <a href="http://hcysun.me/vue-design/" rel="external nofollow noreferrer">Vue技术内幕</a></p>
<p><a href="https://github.com/answershuto/learnVue" rel="external nofollow noreferrer">Vue.js 源码解析</a></p>

<p>原文地址：https://www.cnblogs.com/jack-liu6/p/10152955.html</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-14 12:04:31 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/code/" title="code">code</a>, <a href="https://www.biecuoliao.com/tag/return/" title="return">return</a>, <a href="https://www.biecuoliao.com/tag/www/" title="www&period;">www&period;</a>, <a href="https://www.biecuoliao.com/tag/update/" title="update">update</a>, <a href="https://www.biecuoliao.com/tag/src/" title="src">src</a>, <a href="https://www.biecuoliao.com/tag/%e8%b0%83%e7%94%a8/" title="调用">调用</a>, <a href="https://www.biecuoliao.com/tag/%e7%ae%80%e5%8d%95/" title="简单">简单</a>, <a href="https://www.biecuoliao.com/tag/%e9%98%b6%e6%ae%b5/" title="阶段">阶段</a>, <a href="https://www.biecuoliao.com/tag/remount/" title="remount">remount</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>用console.log分析Vue源码的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4pbVmV0.html" rel="bookmark">&lbrack;Vue源码&rsqb;一起来学Vue双向绑定原理-数据劫持和发布订阅</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				有一段时间没有更新技术博文了,因为这段时间埋下头来看Vue源码了.本文我们一起通过学习双向绑定原理来分析Vue源码.预计接下来会围绕Vue源码来整理一些文章,如下. 一起来学Vue双向绑定原理-数据劫持和发布订阅 一起来学Vue模板编译原理(一)-Template生成AST 一起来学Vue模板编译原理(二)-AST生成Render字符串 一起来学Vue虚拟DOM解析-Virtual Dom实现和Dom-diff算法 这些文章统一放在我的git仓库:https://github.com/yzsun			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MoKVjQM.html" rel="bookmark">&lbrack;Vue源码&rsqb;一起来学Vue模板编译原理&lpar;一&rpar;-Template生成AST</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文我们一起通过学习Vue模板编译原理(一)-Template生成AST来分析Vue源码.预计接下来会围绕Vue源码来整理一些文章,如下. 一起来学Vue双向绑定原理-数据劫持和发布订阅 一起来学Vue模板编译原理(一)-Template生成AST 一起来学Vue模板编译原理(二)-AST生成Render字符串 一起来学Vue虚拟DOM解析-Virtual Dom实现和Dom-diff算法 这些文章统一放在我的git仓库:https://github.com/yzsunlei/javascrip			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPnmWy3.html" rel="bookmark">&lbrack;Vue源码&rsqb;一起来学Vue模板编译原理（二）-AST生成Render字符串</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文我们一起通过学习Vue模板编译原理(二)-AST生成Render字符串来分析Vue源码.预计接下来会围绕Vue源码来整理一些文章,如下. 一起来学Vue双向绑定原理-数据劫持和发布订阅 一起来学Vue模板编译原理(一)-Template生成AST 一起来学Vue模板编译原理(二)-AST生成Render字符串 一起来学Vue虚拟DOM解析-Virtual Dom实现和Dom-diff算法 这些文章统一放在我的git仓库:https://github.com/yzsunlei/javascri			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0nA6k7M.html" rel="bookmark">vue源码构建代码分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这是xue源码学习记录,如有错误请指出,谢谢!相互学习相互进步. vue源码目录为 vue ├── src #vue源码 ├── flow #flow定义的数据类型库(vue通过flow来检测数据类型是否正确) ├── examples #demo ├── scripts #vue构建命令 ├── ... vue内部代码模块比较清晰,这边主要分析scripts内部代码,讲解vue是如何进行构建的.首先你必须要懂一些rollup,vue内部是通过rollup来进行构建的,rollup是一款js的构			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vbzZo3.html" rel="bookmark">vue源码分析：响应式之依赖收集</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天记录下vue源码的响应式的源码学习,第一步,我们想下,为什么为们写一个data.然后里边的数据变化就能映射到dom的变化上.这里用到了Object.defineProperty(obj,key, {}),如果你还不了解建议去jsmdn上仔细了解下,这个函数的目的就是检测你得赋值和取值的过程用来定义自己的行为,比如obj[key]会拿到配置里边的get函数定义,obj[key] = 'xxx'会调用配置中的set.那么vue也是一样的,在get中做了依赖收集(也就是说哪些dom用到了我定义的这			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0YVzdO3.html" rel="bookmark">&lbrack;Vue源码分析&rsqb; v-model实现原理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近小组有个关于vue源码分析的分享会,提前准备一下- 前言:我们都知道使用v-model可以实现数据的双向绑定,及实现数据的变化驱动dom的更新,dom的更新影响数据的变化.那么v-model是怎么实现这一原理的呢?接下来探索一下这部分的源码. 前期准备①:vue2.5.2源码(用于阅读.查看关联等)②:建立vue demo,创建包含v-model指令的实例(用于debugger)以下为demo: genDirectives在模板的编译阶段, v-model跟其他指令一样,会被解析到 el.d			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0YD7JXM.html" rel="bookmark">Vue源码后记-钩子函数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				vue源码的马拉松跑完了,可以放松一下写点小东西,其实源码讲20节都讲不完,跳了好多地方. 本人技术有限,无法跟大神一样,模拟vue手把手搭建一个MVVM框架,然后再分析原理,只能以门外汉的姿态简单过一下~ 想到什么写什么了,这节就简单说说钩子函数吧! vue中的钩子函数主要包含初始化的beforeCreated/created,Virtual Dom更新期间的beforeUpdate/updated,页面渲染期间的beforeMount/mounted,组件销毁期间的beforeDestroy			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/D3Or590.html" rel="bookmark">vue源码解读预热-0</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				vueJS的源码解读 vue源码总共包含约一万行代码量(包括注释)特别感谢作者Evan You开放的源代码,访问地址为Github 代码整体介绍与函数介绍预览 代码模块分析 代码整体思路 总体的分析 从图片中可以看出的为采用IIFE(Immediately-Invoked Function Expression)立即执行的函数表达式的形式进行的代码的编写 常见的几种插件方式: (function(,){}(,))或(function(,){})(,)或!function(){}()等等,其中必有			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mg2Vl84.html" rel="bookmark">分析easyswoole源码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				分析easyswoole源码 1以启动为例 //检查是否已经安装 installCheck();//检查锁文件是否存在,不存在结束 //启动服务 serverStart showLogo();//显示logo $conf = Conf::getInstance();//获取config单例 $inst = Core::getInstance()-&gt;initialize();//获取Core(核心类)的单例并且initialize //这一步干了这些事情 //__construct() Core的			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/n0lGXoM.html" rel="bookmark" class="title">java面向对象</a>
					<div>
						Java语言完全支持面向对象的继承.封装.多态,纯粹的面向对象的程序设计语言.Java以对象为中心,整个程序由类(Java的最小的程序单位)组成.Java是一个静态语言,一个类完成定义后,只要不重新编 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/v0kppL3.html" rel="bookmark" class="title">js基础之冒号</a>
					<div>
						js中冒号的作用有两种, 转自:http://www.kqiqi.com/knowledge/web-based/506.html 一.?: 操作符 a = expression ? b : c;如果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Q3qrBP4.html" rel="bookmark" class="title">leetcode6&colon;Zigzag &lbrack;email&amp;&num;160&semi;protected&rsqb;</a>
					<div>
						The string &quot;PAYPALISHIRING&quot; is written in a zigzag pattern on a given number of rows like  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0n1EDxM.html" rel="bookmark" class="title">&lbrack;How to&rsqb;Cloudera manager 离线安装手册</a>
					<div>
						1.简介 本文介绍在离线环境下安装Cloudera manager和简单使用方法 2.环境 OS:CentOS 6.7 Cloudera manager版本:5.5.1 CDH版本:5.4.2 安装用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dgQRwM.html" rel="bookmark" class="title">cocos2dx 3&period;x 搭建环境</a>
					<div>
						右键‘计算机’——属性——高级——环境变量: 然后在环境变量里面配好系统变量的path属性:Python: 还有管理员的用户变量:COCOS2D-CONSOLE(值为地址,cocos2d-consol ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KyAqJ4.html" rel="bookmark" class="title">Charm Bracelet poj3624（01背包）</a>
					<div>
						http://poj.org/problem?id=3624 题意:现给你一个包的承重量为M,然后有各种手链的重量Wi,以及它们的价值Di,问你能得到的最大价值为多少? 分析:典型的01背包问题 #i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mml58K4.html" rel="bookmark" class="title">关系表达式的计算</a>
					<div>
						近期在做一个项目,涉及到一些简单的规则匹配.规则的判定条件可以用关系表达式描述,形如(P1|P2)&amp;(P3|P4).其中&amp;是与,|是或,P1-P4是Pattern,具体的匹配条件,返回 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nEWqVM.html" rel="bookmark" class="title">Hamburgers 假定解是否可行</a>
					<div>
						Hamburgers Time Limit:1000MS     Memory Limit:262144KB     64bit IO Format:%I64d &amp; %I64u Submit  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pRAxJ0.html" rel="bookmark" class="title">C语言--第0次作业      --卢宇婷</a>
					<div>
						C语言--第0次作业============###你认为大学的学习生活.同学关系.师生应该是怎样?- **学习生活**:      大学的课看似没有几节,但是就跟南孚一样,一节更比六节强,老师会在一节 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ON7Bg0.html" rel="bookmark" class="title">04&period;构造函数</a>
					<div>
						Ctrl+R+E  根据字段生成属性. 构造方法: (1).构造方法是用来创建对象用的,并且可以在构造方法中对对象进行初始化. (2).构造方法是用来创建对象的特殊方法, 构造方法的方法名和类名是一样 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41BWjXM.html" rel="bookmark" class="title">thinkphp 表名注意</a>
					<div>
						$db = &quot;DomainInfo&quot;;//查找相关任务的结果表 $result = M($db); $rescc = $result-&gt;select(); var_dump( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mox6xB0.html" rel="bookmark" class="title">MySQL SQL语句</a>
					<div>
						关系数据库: MySql ,Oracle, sql server , db2 ,sqlite,非关系数据库: redis mongodb SQL语句:结构化语句 规范: 1.不区分大小写(命令建议大写 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JyPAn3.html" rel="bookmark" class="title">JSON &lpar;data解析&rpar; data解析为数组</a>
					<div>
						获取文件路 NSString * jsonPath = [[NSBundle mainBundle] pathForResource:@&quot;Student&quot; ofType:@&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZbjQm3.html" rel="bookmark" class="title">递归算法&mdash;&mdash;超级楼梯</a>
					<div>
						1 import java.util.Scanner; 2 3 /** 4 * Created by Administrator on 14-5-13. 5 * 超级楼梯 6 Problem Desc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49Leev3.html" rel="bookmark" class="title">22、输入一个整数，输出该数二进制表示中1的个数。其中负数用补码表示。</a>
					<div>
						输入一个整数,输出该数二进制表示中1的个数.其中负数用补码表示. 思路: n &amp;(n-1)把n的最右边的1去掉,用count++计算1的个数  eg: 101 &amp; 100 = 100  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmYPLPM.html" rel="bookmark" class="title">Linux服务器升级安装OPENSSH</a>
					<div>
						压缩包见:http://down.51cto.com/data/2227785 上传压缩包到目标服务器: 工具:winscp,flashxp 解压上传的压缩包,使用unzip命令,如果没有此命令使用y ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41DvnY3.html" rel="bookmark" class="title">我是一个性格内向的程序员，呵呵。</a>
					<div>
						我是一个性格随和偏内向的人,为人乐观真诚,能吃苦,热爱网络,喜欢编程,我认为既然选择了就必须全力以赴,没有失败的人,只有不努力的人. 熟练使用CSS.HTML.XML.JavaScript.JQuer ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rbXWX3.html" rel="bookmark" class="title">RCP Editor 修改状态</a>
					<div>
						RCP Editor 修改状态,Editor被修改后,在关闭Editor时提示用户保存的实现步骤. 1.Editor中声明 private boolean dirty; 2.重写isDirty @Ov ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4J98vA3.html" rel="bookmark" class="title">TE9手机微信场景</a>
					<div>
						HTML &lt;!DOCTYPE html&gt;&lt;html lang=&quot;en&quot;&gt;&lt;head&gt; &lt;meta charset=&quot;UTF-8& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qGyXPM.html" rel="bookmark" class="title">ios头文件</a>
					<div>
						在OC中使用“头文件”与“实现文件”来区隔代码.头文件后缀用.h,实现文件后缀用.m.未完.....					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
